DKBSignDocs

API reference

GETRequires Bearer token

Get workflows show

/api/workflows/show/{workflow}

Retrieve /api/workflows/show/{workflow}. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

FieldTypeDescription
workflow
Required
stringPath parameter workflow.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Workflow
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/workflows/show/workflow' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "workflow": {
    "id": 88,
    "name": "Contract ACME",
    "status": "in_progress",
    "model_id": 3,
    "client_id": 12
  }
}